c     Copyright (C)
c     2008-2013 Universit Paul Sabatier
c     2008-2013 Centre National de la Recherche Scientifique
c     2008-2013 Ecole des Mines d'Albi
c     2008-2013 Universit de Bordeaux 1
c     2008-2013 Fondation STAE
c     2014-2018 Meso-Star
c     
c     This file must be used under the terms of the CeCILL license.
c     This source file is licensed as described in the file COPYING, which
c     you should have received as part of this distribution.  The terms
c     are also available at
c     http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
c     
      subroutine read_data(k_mxep,sd_mxep,nu_min,nu_max,
     &     B_mxep,constant_dnu,
     &     nchunks,T_hitemp,i_inf,i_sup,band_inf,band_sup,
     &     nlw_cz,np_lc,np_bl,default_tr_dist,ngamma,pr_sd,pr_kc)
      implicit none
      include 'max.inc'
c
c     I/O
      double precision k_mxep
      double precision sd_mxep
      double precision nu_min
      double precision nu_max
      double precision B_mxep
      double precision constant_dnu
      integer nchunks
      double precision T_hitemp
      integer i_inf
      integer i_sup
      integer band_inf
      integer band_sup
      integer nlw_cz,np_lc,np_bl
      double precision default_tr_dist
      integer ngamma
      double precision pr_sd
      double precision pr_kc
c     temp
      integer i
c     label
      character*(Nchar_mx) label
      label='subroutine read_data'

      open(12,file='./data.in')
      do i=1,7
         read(12,*)
      enddo
      read(12,*) k_mxep
      read(12,*) 
      read(12,*) sd_mxep
      do i=1,6
         read(12,*)
      enddo
      read(12,*) nu_min
      read(12,*) 
      read(12,*) nu_max
      read(12,*) 
      read(12,*) B_mxep
      read(12,*) 
      read(12,*) constant_dnu
      do i=1,6
         read(12,*)
      enddo
      read(12,*) nchunks
      do i=1,6
         read(12,*)
      enddo
      read(12,*) T_hitemp
      read(12,*) 
      read(12,*) i_inf
      read(12,*) 
      read(12,*) i_sup
      read(12,*) 
      read(12,*) band_inf
      read(12,*) 
      read(12,*) band_sup
      do i=1,6
         read(12,*)
      enddo
      read(12,*) nlw_cz
      read(12,*)
      read(12,*) np_lc
      read(12,*)
      read(12,*) np_bl
      read(12,*)
      read(12,*) default_tr_dist
      read(12,*)
      read(12,*) ngamma
      read(12,*)
      read(12,*) pr_sd
      read(12,*)
      read(12,*) pr_kc
      close(12)

      return
      end
